﻿<Serializable()>
Public Class Cls_ColorControllerCapability
    Inherits Cls_Capability

    ' Properties going to JSON
    Public Property properties As New Cls_ColorControllerProperties

    'Properties for internal use
    Public AlexaDirectives As String = "   name: SetColor" & vbCrLf &
                                       "Payload: color.hue: 30.5" & vbCrLf &
                                       "         color.saturation: 0.7138" & vbCrLf &
                                       "         color.brightness: 0.6524"



    Public Sub New()
        MyBase.interface = "Alexa.ColorController"
        MyBase.Set_HelpPage(String.Empty)
        Me.properties.supported.Add(New Cls_Supported("color"))
    End Sub
End Class

<Serializable()>
Public Class Cls_ColorControllerProperties
    Public Property supported As New List(Of Cls_Supported)
    Public Property proactivelyReported As Boolean = False
    Public Property retrievable As Boolean = False
    Public Property nonControllable As Boolean = False
End Class



'"type" "AlexaInterface",
'"interface": "Alexa.ColorController",
'"version": "3",
'"properties": {
'  "supported": [
'    {
'      "name": "color"
'    }
'  ],
'  "proactivelyReported": true,
'  "retrievable": true