﻿<Serializable()>
Public Class Cls_PercentageControllerCapability
    Inherits Cls_Capability

    ' Properties going to JSON
    Public Property properties As New Cls_PercentageControllerProperties

    'Properties for internal use
    Public AlexaDirectives As String = "  "



    Public Sub New()
        MyBase.interface = "Alexa.PercentageController"
        Me.properties.supported.Add(New Cls_Supported("percentage"))
    End Sub
End Class

<Serializable()>
Public Class Cls_PercentageControllerProperties
    Public Property supported As New List(Of Cls_Supported)
    Public Property proactivelyReported As Boolean = False
    Public Property retrievable As Boolean = False
    Public Property nonControllable As Boolean = False
End Class



'{
'  "type": "AlexaInterface",
'  "interface": "Alexa.PercentageController",
'  "version": "3",
'  "properties": {
'    "supported": [
'      {
'        "name": "percentage"
'      }
'    ],
'    "proactivelyReported": true,
'    "retrievable": true
'  }