﻿Public Class ClsFunctionTypes
    Public DisplayName As String
    Public FunctionClass As String
    Public MultipleAllowed As Boolean


    Public Sub New(pDisplayName As String, pFunctionClass As String, pMultipleAllowed As Boolean)
        DisplayName = pDisplayName
        FunctionClass = pFunctionClass
        MultipleAllowed = pMultipleAllowed
    End Sub

    Public Function CreateNew(s As String) As Object
        Dim o As Object = Nothing
        Select Case FunctionClass
            Case "Cls_BrightnessControllerCapability"
                o = New Cls_BrightnessControllerCapability
            Case "Cls_ChannelControllerCapability"
                o = New Cls_ChannelControllerCapability
            Case "Cls_ColorControllerCapability"
                o = New Cls_ColorControllerCapability
            Case "Cls_ColorTemperatureControllerCapability"
                o = New Cls_ColorTemperatureControllerCapability
            Case "Cls_PowerControllerCapability"
                o = New Cls_PowerControllerCapability
            Case "Cls_PercentageControllerCapability"
                o = New Cls_PercentageControllerCapability
            Case "Cls_PowerLevelControllerCapabilty"
                o = New Cls_PowerLevelControllerCapabilty
            Case "Cls_ThermostatControllerCapability"
                o = New Cls_ThermostatControllerCapability
            Case "Cls_InputControllerCapability"
                o = New Cls_InputControllerCapability
            Case "Cls_ModeControllerCapability"
                o = New Cls_ModeControllerCapability
            Case "Cls_NoneCapability"
                o = New Cls_NoneCapability
            Case Else
                MsgBox("Unknown Controller: " & FunctionClass)
        End Select

        o.SetClassName(FunctionClass)
        Return o
    End Function

End Class
