﻿<Serializable()>
Public Class Cls_PowerLevelControllerCapabilty

    Inherits Cls_Capability

    ' Properties going to JSON
    Public Property properties As New Cls_PowerLevelControllerProperties

    'Properties for internal use
    Public AlexaDirectives As String = "  "



    Public Sub New()
        MyBase.interface = "Alexa.PowerLevelController"
        Me.properties.supported.Add(New Cls_Supported("powerLevel"))
    End Sub
End Class

<Serializable()>
Public Class Cls_PowerLevelControllerProperties
    Public Property supported As New List(Of Cls_Supported)
    Public Property proactivelyReported As Boolean = False
    Public Property retrievable As Boolean = False
    Public Property nonControllable As Boolean = False
End Class



'"type" "AlexaInterface",
'"interface": "Alexa.PowerLevelController",
'"version": "3",
'"properties": {
'  "supported": [
'    {
'      "name": "powerLevel"
'    }
'  ],
'  "proactivelyReported": true,
'  "retrievable": true
'}