﻿Public Class FrmNewFriendlyName

    Public fn As Cls_FriendlyNames

    Private Sub FrmNewFriendlyName_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        cmbAsset.Items.Add("Alexa.DeviceName.AirPurifier")
        cmbAsset.Items.Add("Alexa.DeviceName.Fan")
        cmbAsset.Items.Add("Alexa.DeviceName.Router")
        cmbAsset.Items.Add("Alexa.DeviceName.Shade")
        cmbAsset.Items.Add("Alexa.DeviceName.Shower")
        cmbAsset.Items.Add("Alexa.DeviceName.SpaceHeater")
        cmbAsset.Items.Add("Alexa.DeviceName.Washer")
        cmbAsset.Items.Add("Alexa.Setting.2GGuestWiFi")
        cmbAsset.Items.Add("Alexa.Setting.5GGuestWiFi")
        cmbAsset.Items.Add("Alexa.Setting.Auto")
        cmbAsset.Items.Add("Alexa.Setting.Direction")
        cmbAsset.Items.Add("Alexa.Setting.DryCycle")
        cmbAsset.Items.Add("Alexa.Setting.FanSpeed")
        cmbAsset.Items.Add("Alexa.Setting.GuestWiFi")
        cmbAsset.Items.Add("Alexa.Setting.Heat")
        cmbAsset.Items.Add("Alexa.Setting.Mode")
        cmbAsset.Items.Add("Alexa.Setting.Night")
        cmbAsset.Items.Add("Alexa.Setting.Opening")
        cmbAsset.Items.Add("Alexa.Setting.Oscillate")
        cmbAsset.Items.Add("Alexa.Setting.Preset")
        cmbAsset.Items.Add("Alexa.Setting.Quiet")
        cmbAsset.Items.Add("Alexa.Setting.Temperature")
        cmbAsset.Items.Add("Alexa.Setting.WashCycle")
        cmbAsset.Items.Add("Alexa.Setting.WaterTemperature")
        cmbAsset.Items.Add("Alexa.Shower.HandHeld")
        cmbAsset.Items.Add("Alexa.Shower.RainHead")
        cmbAsset.Items.Add("Alexa.Unit.Angle.Degrees")
        cmbAsset.Items.Add("Alexa.Unit.Angle.Radians")
        cmbAsset.Items.Add("Alexa.Unit.Distance.Feet")
        cmbAsset.Items.Add("Alexa.Unit.Distance.Inches")
        cmbAsset.Items.Add("Alexa.Unit.Distance.Kilometers")
        cmbAsset.Items.Add("Alexa.Unit.Distance.Meters")
        cmbAsset.Items.Add("Alexa.Unit.Distance.Miles")
        cmbAsset.Items.Add("Alexa.Unit.Distance.Yards")
        cmbAsset.Items.Add("Alexa.Unit.Mass.Grams")
        cmbAsset.Items.Add("Alexa.Unit.Mass.Kilograms")
        cmbAsset.Items.Add("Alexa.Unit.Percent")
        cmbAsset.Items.Add("Alexa.Unit.Temperature.Celsius")
        cmbAsset.Items.Add("Alexa.Unit.Temperature.Degrees")
        cmbAsset.Items.Add("Alexa.Unit.Temperature.Fahrenheit")
        cmbAsset.Items.Add("Alexa.Unit.Temperature.Kelvin")
        cmbAsset.Items.Add("Alexa.Unit.Volume.CubicFeet")
        cmbAsset.Items.Add("Alexa.Unit.Volume.CubicMeters")
        cmbAsset.Items.Add("Alexa.Unit.Volume.Gallons")
        cmbAsset.Items.Add("Alexa.Unit.Volume.Liters")
        cmbAsset.Items.Add("Alexa.Unit.Volume.Pints")
        cmbAsset.Items.Add("Alexa.Unit.Volume.Quarts")
        cmbAsset.Items.Add("Alexa.Unit.Weight.Ounces")
        cmbAsset.Items.Add("Alexa.Unit.Weight.Pounds")
        cmbAsset.Items.Add("Alexa.Value.Close")
        cmbAsset.Items.Add("Alexa.Value.Delicate")
        cmbAsset.Items.Add("Alexa.Value.High")
        cmbAsset.Items.Add("Alexa.Value.Low")
        cmbAsset.Items.Add("Alexa.Value.Maximum")
        cmbAsset.Items.Add("Alexa.Value.Medium")
        cmbAsset.Items.Add("Alexa.Value.Minimum")
        cmbAsset.Items.Add("Alexa.Value.Open")
        cmbAsset.Items.Add("Alexa.Value.QuickWash")
        Init()

    End Sub

    Public Sub Init()
        cmbType.SelectedItem = fn.type
        Me.txtText.Text = fn.value.text
        cmbAsset.SelectedText = fn.value.assetId
        cmbType_SelectedIndexChanged(Nothing, Nothing)
    End Sub

    Private Sub cmbType_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cmbType.SelectedIndexChanged
        If cmbType.SelectedItem = "text" Then
            Me.txtText.Visible = True
            Me.cmbAsset.Visible = False
            Me.lblValue.Text = "Text:"
        Else
            Me.txtText.Visible = False
            Me.cmbAsset.Visible = True
            Me.lblValue.Text = "Asset-ID:"
        End If
    End Sub

    Private Sub btnOK_Click(sender As Object, e As EventArgs) Handles btnOK.Click
        fn.value.assetId = Nothing
        fn.value.text = Nothing
        fn.value.locale = Nothing

        fn.type = cmbType.SelectedItem
        If fn.type = "text" Then
            fn.value.text = Me.txtText.Text
            fn.value.locale = My.Settings.Locale
        Else
            fn.value.assetId = cmbAsset.SelectedItem
        End If

        Me.DialogResult = DialogResult.OK
        Me.Dispose()
    End Sub

    Private Sub btnCancel_Click(sender As Object, e As EventArgs) Handles btnCancel.Click
        Me.DialogResult = DialogResult.Cancel
        Me.Dispose()
    End Sub

End Class



